local strings = {
	UVSPF_SETTINGS_FONT_TITLE = "Font Settings",
	
	UVSPF_SETTINGS_FONT_TITLE_HEADER = "Title/Footer Font",
	UVSPF_SETTINGS_FONT_TITLE_DESC = "Set the table header and footer fonts.",
	
	UVSPF_SETTINGS_FONT_GSP_TITLE = "General Skill Points Font",
	UVSPF_SETTINGS_FONT_GSP_ROWS = "Set the General Skill Points table row font.",
	
	UVSPF_SETTINGS_FONT_SQS_TITLE = "Quests & Skyshards Font",
	UVSPF_SETTINGS_FONT_SQS_ROWS = "Set the Zone Quests & Skyshards table row font.",
	
	UVSPF_SETTINGS_FONT_GDQ_TITLE = "Group Dungeon Quests Font",
	UVSPF_SETTINGS_FONT_GDQ_ROWS = "Set the Group Dungeon Quests table row font.",
	
	UVSPF_SETTINGS_FONT_PDB_TITLE = "Public Dungeon Group Events Font",
	UVSPF_SETTINGS_FONT_PDB_ROWS = "Set the Public Dungeon Group Boss Events table row font.",
	
	UVSPF_SETTINGS_RELOAD_WARNING = "Will need to reload the UI.",
	
	
	UVSPF_SETTINGS_COLOR_TITLE = "Color Settings",
	UVSPF_SETTINGS_COLOR_GSP_DONE = "General - Done",
	UVSPF_SETTINGS_COLOR_GSP_PROG = "General - In Progress",
	UVSPF_SETTINGS_COLOR_GSP_NOT_DONE = "General - Not Done",
	UVSPF_SETTINGS_COLOR_ZQ_DONE = "Zone Quests - Done",
	UVSPF_SETTINGS_COLOR_ZQ_PROG = "Zone Quests - In Progress",
	UVSPF_SETTINGS_COLOR_ZQ_NOT_DONE = "Zone Quests - Not Done",
	UVSPF_SETTINGS_COLOR_SS_DONE = "Skyshards - Done",
	UVSPF_SETTINGS_COLOR_SS_PROG = "Skyshards - In Progress",
	UVSPF_SETTINGS_COLOR_SS_NOT_DONE = "Skyshards - Not Done",
	UVSPF_SETTINGS_COLOR_GDQ_DONE = "Group Dungeons - Done",
	UVSPF_SETTINGS_COLOR_GDQ_NOT_DONE = "Group Dungeons - Not Done",
	UVSPF_SETTINGS_COLOR_PDB_DONE = "Public Dungeons - Done",
	UVSPF_SETTINGS_COLOR_PDB_NOT_DONE = "Public Dungeons - Not Done",
	UVSPF_SETTINGS_COLOR_DESC_DONE = "Set the color for complete skill points.",
	UVSPF_SETTINGS_COLOR_DESC_PROG = "Set the color for incomplete, started skill points.",
	UVSPF_SETTINGS_COLOR_DESC_NOT_DONE = "Set the color for incomplete skill points.",
	
	
	UVSPF_SETTINGS_SORT_TITLE = "Sort Option Settings",
	UVSPF_SETTINGS_SORT_SQS = "Quest and Skyshard Sorting",
	UVSPF_SETTINGS_SORT_SQS_DESC = "Set the sort order for the Storyline Quests and Skyshards table.",
	UVSPF_SETTINGS_SORT_GDQ = "Group Dungeon Sorting",
	UVSPF_SETTINGS_SORT_GDQ_DESC = "Set the sort order for the Group Dungeon Quests table.",
	UVSPF_SETTINGS_SORT_PDB = "Public Dungeon Sorting",
	UVSPF_SETTINGS_SORT_PDB_DESC = "Set the sort order for the Public Dungeon Group Boss Events table.",
	
	UVSPF_SETTINGS_OVERRIDE_TITLE = "Override Settings",
	UVSPF_SETTINGS_OVERRIDE_FOLIUM = "Folium Discognitum Override",
	UVSPF_SETTINGS_OVERRIDE_FOLIUM_DESC = "This setting allows you to override the UVSPF's built-in Folium Discognitum logic. This is usually only necessary if you've not received skill points that you've actually earned.",
	UVSPF_SETTINGS_OVERRIDE_FOLIUM_WARN = "May result in an incorrect total amount of skill points in UVSPF.",
	UVSPF_SETTINGS_OVERRIDE_FOLIUM_SET = "Character Has Folium Discognitum",
	UVSPF_SETTINGS_OVERRIDE_FOLIUM_SET_DESC = "This setting forces the UVSPF's built-in Folium Discognitum points. You must select the Folium Discognitum Override option for this to have any effect.",
	UVSPF_SETTINGS_OVERRIDE_FOLIUM_SET_WARN = "May result in an incorrect total amount of skill points in UVSPF.",
	
	UVSPF_SETTINGS_OVERRIDE_MWC_SET = "Morrowind Quest Override",
	UVSPF_SETTINGS_OVERRIDE_MWC_SET_DESC = "This setting allows you to override the UVSPF's built-in Morrowind intro quest logic. This is usually only necessary if you've created a character after the release of Morrowind and skipped the \"Broken Bonds\" introduction quest.",
	UVSPF_SETTINGS_OVERRIDE_MWC_SET_WARN = "May result in an incorrect total amount of skill points in UVSPF.",
	
	UVSPF_SETTINGS_OVERRIDE_SSC_SET = "Summerset Quest Override",
	UVSPF_SETTINGS_OVERRIDE_SSC_SET_DESC = "This setting allows you to override the UVSPF's built-in Summerset intro quest logic. This is usually only necessary if you've created a character after the release of Summerset and skipped the \"The Mind Trap\" introduction quest.",
	UVSPF_SETTINGS_OVERRIDE_SSC_SET_WARN = "May result in an incorrect total amount of skill points in UVSPF.",
	
	UVSPF_SETTINGS_OVERRIDE_EWC_SET = "Elsweyr Quest Override",
	UVSPF_SETTINGS_OVERRIDE_EWC_SET_DESC = "This setting allows you to override the UVSPF's built-in Elsweyr intro quest logic. This is usually only necessary if you've created a character after the release of Elsweyr and skipped the \"Bright Moons, Warm Sands\" introduction quest.",
	UVSPF_SETTINGS_OVERRIDE_EWC_SET_WARN = "May result in an incorrect total amount of skill points in UVSPF.",
	
  UVSPF_SETTINGS_OVERRIDE_GMC_SET = "Greymoor Quest Override",
	UVSPF_SETTINGS_OVERRIDE_GMC_SET_DESC = "This setting allows you to override the UVSPF's built-in Greymoor intro quest logic. This is usually only necessary if you've created a character after the release of Greymoor and skipped the \"Bound in Blood\" introduction quest.",
	UVSPF_SETTINGS_OVERRIDE_GMC_SET_WARN = "May result in an incorrect total amount of skill points in UVSPF.",
	
	UVSPF_SETTINGS_OVERRIDE_BWC_SET = "Blackwood Quest Override",
	  UVSPF_SETTINGS_OVERRIDE_BWC_SET_DESC = "This setting allows you to override the UVSPF's built-in Blackwood intro quest logic. This is usually only necessary if you've created a character after the release of Blackwood and skipped the \"The Gates of Adamant\" introduction quest.",
	  UVSPF_SETTINGS_OVERRIDE_BWC_SET_WARN = "May result in an incorrect total amount of skill points in UVSPF.",
  
	UVSPF_GUI_CHAR_LEVEL	= "Character Level",
	UVSPF_GUI_MAIN_QUEST	= "Main Quest",
	UVSPF_GUI_FOLIUM		= "Folium Discognitum",
	UVSPF_GUI_MW_CHAR	= "Morrowind Character",
	UVSPF_GUI_SU_CHAR	= "Summerset Character",
	UVSPF_GUI_EW_CHAR	= "Elsweyr Character",
  	UVSPF_GUI_GM_CHAR	= "Greymoor Character",
  	UVSPF_GUI_BW_CHAR	= "Blackwood Character",
	UVSPF_GUI_AVA_RANK	= "Alliance War Rank",
	UVSPF_GUI_MAEL_ARENA	= "Maelstrom Arena",
	UVSPF_GUI_VAT_ARENA	= "Vateshran Arena",
	
	
	UVSPF_GUI_TITLE		= "Urich's/Vastaryous Skill Point Finder",
	
	UVSPF_GUI_GSP		= "General Skill Points",
	UVSPF_GUI_SQS		= "Storyline Quests & Skyshards",
	UVSPF_GUI_GDQ		= "Group Dungeon Quests",
	UVSPF_GUI_PDB		= "Public Dungeon Group Boss Events",
	UVSPF_GUI_SOURCE		= "Source",
	UVSPF_GUI_PROGRESS	= "Progress",
	UVSPF_GUI_ZONE		= "Zone",
	UVSPF_GUI_STORYLINE	= "Storyline",
	UVSPF_GUI_SKYSHARDS	= "Skyshards",
	UVSPF_GUI_GROUP_DUNGEON = "Group Dungeon",
	UVSPF_GUI_PUBLIC_DUNGEON = "Public Dungeon",
	UVSPF_GUI_DUNGEON_NAME = "Dungeon Name",
	
	UVSPF_GUI_TOTAL		= "Total",
	UVSPF_GUI_CHAR_TOTAL	= "Character Total",
	
	
	SI_BINDING_NAME_UVSPF_TOGGLE = "Show/Hide the UVSPF window.",
	UVSPF_GUI_ZN_LCL		= "Lower",
	UVSPF_GUI_ZN_UCL		= "Upper",
	UVSPF_GUI_ZN_MQ		= "Main Quest",
	
	UVSPF_MSG_SHOW_GUI	= "UVSPF displayed.",
	UVSPF_MSG_HIDE_GUI	= "UVSPF hidden.",
	
	UVSPF_MSG_BAD_SLASH	= "UVSPF invalid command.",
	UVSPF_MSG_CMD_TITLE	= "UVSPF slash commands:",
	UVSPF_MSG_CMD_OPTION	= "    /UVSPF - To %s the addon. This can be keybound.",
	UVSPF_MSG_ACTIVATE	= "activate",
	UVSPF_MSG_DEACTVATE	= "deactivate",
	
	UVSPF_MSG_HACK		= "I see you've been hacking my code. There's nothing to see here! Move along.",
	
	UVSPF_MSG_INIT		= "Running UVSPF for the first time!",
	UVSPF_MSG_HELP		= "UVSPF Activated!",
	
	UVSPF_QUEST_NA		= "These skill points are not quest based.",
	UVSPF_QUEST_NONE	= "There are no skill point quests in this zone.",
	UVSPF_QUEST_AD1_1	= "Rites of the Queen",
	UVSPF_QUEST_AD1_2	= "The Veil Falls",
	UVSPF_QUEST_AD1_3	= "Sever All Ties",
	UVSPF_QUEST_AD2_1	= "The Grip of Madness",
	UVSPF_QUEST_AD2_2	= "Heart of the Matter",
	UVSPF_QUEST_AD2_3	= "A Lasting Winter",
	UVSPF_QUEST_AD3_1	= "Throne of the Wilderking",
	UVSPF_QUEST_AD3_2	= "Pelidil's End",
	UVSPF_QUEST_AD3_3	= "Striking at the Heart",
	UVSPF_QUEST_AD4_1	= "Buyer Beware",
	UVSPF_QUEST_AD4_2	= "Reap What Is Sown",
	UVSPF_QUEST_AD4_3	= "Restore the Silvenar",
	UVSPF_QUEST_AD5_1	= "The First Step",
	UVSPF_QUEST_AD5_2	= "Motes in the Moonlight",
	UVSPF_QUEST_AD5_3	= "The Den of Lorkhaj",
	UVSPF_QUEST_CC_1	= "To The Clockwork City",
	UVSPF_QUEST_CC_2	= "In Search of a Sponsor",
	UVSPF_QUEST_CC_3	= "The Strangeness of Seht",
	UVSPF_QUEST_CC_4	= "Deepening Shadows",
	UVSPF_QUEST_CC_5	= "Lost in the Gloam",
	UVSPF_QUEST_CC_6	= "Unto the Dark",
	UVSPF_QUEST_CC_7	= "Where Shadows Lie",
	UVSPF_QUEST_CC_8	= "The Light of Knowledge",
	UVSPF_QUEST_CH_1	= "Light from the Darkness",
	UVSPF_QUEST_CH_2	= "Breaking the Shackle",
	UVSPF_QUEST_CH_3	= "The Final Assault",
	UVSPF_QUEST_DB_1	= "Signed in Blood",
	UVSPF_QUEST_DB_2	= "A Lesson in Silence",
	UVSPF_QUEST_DB_3	= "Questions of Faith",
	UVSPF_QUEST_DB_4	= "A Special Request",
	UVSPF_QUEST_DB_5	= "Dark Revelations",
	UVSPF_QUEST_DB_6	= "A Ghost from the Past",
	UVSPF_QUEST_DB_7	= "The Wrath of Sithis",
	UVSPF_QUEST_DB_8	= "Filling the Void",
	UVSPF_QUEST_DC1_1	= "Bloodthorn Assassins",
	UVSPF_QUEST_DC1_2	= "Purifying the Wyrd Tree",
	UVSPF_QUEST_DC1_3	= "The Fall of Faolchu",
	UVSPF_QUEST_DC1_4	= "Angof the Gravesinger",
	UVSPF_QUEST_DC2_1	= "Sir Hughes' Fate",
	UVSPF_QUEST_DC2_2	= "The Return of the Dream Shard",
	UVSPF_QUEST_DC2_3	= "Vaermina's Gambit",
	UVSPF_QUEST_DC3_1	= "The Blood-Splattered Shield",
	UVSPF_QUEST_DC3_2	= "The Liberation of Northpoint",
	UVSPF_QUEST_DC3_3	= "The Lightless Remnant",
	UVSPF_QUEST_DC4_1	= "A Reckoning with Uwafa",
	UVSPF_QUEST_DC4_2	= "Alasan's Plot",
	UVSPF_QUEST_DC4_3	= "Amputating the Hand",
	UVSPF_QUEST_DC5_1	= "The Parley",
	UVSPF_QUEST_DC5_2	= "Storming the Garrison",
	UVSPF_QUEST_DC5_3	= "To Walk on Far Shores",
	UVSPF_QUEST_EO		= "Bright Moons, Warm Sands",
	UVSPF_QUEST_EP1_1	= "The Death of Balreth",
	UVSPF_QUEST_EP1_2	= "The General's Demise",
	UVSPF_QUEST_EP1_3	= "Sadal's Final Defeat",
	UVSPF_QUEST_EP2_1	= "Plague Bringer",
	UVSPF_QUEST_EP2_2	= "The Seal of Three",
	UVSPF_QUEST_EP2_3	= "The Judgment of Veloth",
	UVSPF_QUEST_EP3_1	= "The Skin-Stealer's Lair",
	UVSPF_QUEST_EP3_2	= "Keepers of the Shell",
	UVSPF_QUEST_EP3_3	= "The Dream of the Hist",
	UVSPF_QUEST_EP4_1	= "One Victor, One King",
	UVSPF_QUEST_EP4_2	= "Eternal Slumber",
	UVSPF_QUEST_EP4_3	= "Songs of Sovngarde",
	UVSPF_QUEST_EP5_1	= "Through the Shroud",
	UVSPF_QUEST_EP5_2	= "Shattered Hopes",
	UVSPF_QUEST_EP5_3	= "Stomping Sinmur",
	UVSPF_QUEST_GD_BC1	= "Banishing the Banished",
	UVSPF_QUEST_GD_BC2	= "The Plan",
	UVSPF_QUEST_GD_EH1	= "Ancient Remains",
	UVSPF_QUEST_GD_EH2	= "Consuming Darkness",
	UVSPF_QUEST_GD_CA1	= "Razor's Edge",
	UVSPF_QUEST_GD_CA2	= "Return to Ash",
	UVSPF_QUEST_GD_TI	= "Eye of the Storm",
	UVSPF_QUEST_GD_SW	= "Knowledge Gained",
	UVSPF_QUEST_GD_SC1	= "Deadly Whispers",
	UVSPF_QUEST_GD_SC2	= "Blood Relations",
	UVSPF_QUEST_GD_WS1	= "Deception in the Dark",
	UVSPF_QUEST_GD_WS2	= "No Second Chances",
	UVSPF_QUEST_GD_CH1	= "Lover's Torment",
	UVSPF_QUEST_GD_CH2	= "Edge of Darkness",
	UVSPF_QUEST_GD_VF	= "Blood and Sand",
	UVSPF_QUEST_GD_BH	= "Jumping Ship",
	UVSPF_QUEST_GD_FG1	= "Kings of the Grotto",
	UVSPF_QUEST_GD_FG2	= "Lighting the Shadows",
	UVSPF_QUEST_GD_DC1	= "Mine All Mine",
	UVSPF_QUEST_GD_DC2	= "What Was Lost",
	UVSPF_QUEST_GD_AC	= "Force of Nature",
	UVSPF_QUEST_GD_DK	= "Nobles' Rest",
	UVSPF_QUEST_GD_BC	= "Fires of Battle",
	UVSPF_QUEST_GD_VM	= "Mind of Madness",
	UVSPF_QUEST_GD_ICP	= "Summary Execution",
	UVSPF_QUEST_GD_WGT	= "Planemeld Obverse",
	UVSPF_QUEST_GD_CS	= "Silk and Shadow",
	UVSPF_QUEST_GD_RM	= "Sap and Stone",
	UVSPF_QUEST_GD_BF	= "Blood for Blood",
	UVSPF_QUEST_GD_FH	= "Falkreath's Demise",
	UVSPF_QUEST_GD_FL	= "Casting the Bones",
	UVSPF_QUEST_GD_SP	= "Plans of Pestilence",
	UVSPF_QUEST_GD_MHK	= "Moonlight Ascent",
	UVSPF_QUEST_GD_MOS	= "The Great Hunt",
	UVSPF_QUEST_GD_DoM	= "The Guiding Light",
	UVSPF_QUEST_GD_FV	= "Lock and Keystone",
	UVSPF_QUEST_GD_LM	= "The Azure Blight",
	UVSPF_QUEST_GD_MF	= "The Sanguine Successor",
	UVSPF_QUEST_GD_IR	= "The Frozen Isle",
	UVSPF_QUEST_GD_UG	= "Unhallowed Grave",
	UVSPF_QUEST_GD_SG	= "Method and Madness",
	UVSPF_QUEST_GD_CT	= "Blood of the Past",
	UVSPF_QUEST_GD_CD	= "Into the Deep",
	UVSPF_QUEST_GD_BDV	= "Burning Secrets",
	UVSPF_QUEST_IC		= "The Sublime Brazier",
	UVSPF_QUEST_MM_1		= "Sunken Treasure",
	UVSPF_QUEST_MM_2		= "Missing in Murkmire",
	UVSPF_QUEST_MM_3		= "Whispers in the Wood",
	UVSPF_QUEST_MM_4		= "Death and Dreaming",
	UVSPF_QUEST_MM_5		= "The Swamp and the Serpent",
	UVSPF_QUEST_MM_6		= "The Remnant of Argon",
	UVSPF_QUEST_MM_7		= "By River and Root",
	UVSPF_QUEST_MW_1		= "Divine Blessings",
	UVSPF_QUEST_MW_2		= "The Heart of a Telvanni",
	UVSPF_QUEST_MW_3		= "Family Reunion",
	UVSPF_QUEST_MO		= "Broken Bonds",
	UVSPF_QUEST_MQ_1		= "Soul Shriven in Coldharbour",
	UVSPF_QUEST_MQ_2		= "The Harborage",
	UVSPF_QUEST_MQ_3		= "Daughter of Giants",
	UVSPF_QUEST_MQ_4		= "Chasing Shadows",
	UVSPF_QUEST_MQ_5		= "Castle of the Worm",
	UVSPF_QUEST_MQ_6		= "The Tharn Speaks",
	UVSPF_QUEST_MQ_7		= "Halls of Torment",
	UVSPF_QUEST_MQ_8		= "Valley of Blades",
	UVSPF_QUEST_MQ_9		= "Shadow of Sancre Tor",
	UVSPF_QUEST_MQ_10	= "Council of the Five Companions",
	UVSPF_QUEST_MQ_11	= "God of Schemes",
	UVSPF_QUEST_NE_1		= "A Rage of Dragons",
	UVSPF_QUEST_NE_2		= "Two Queens",
	UVSPF_QUEST_NE_3		= "Jode's Core",
	UVSPF_QUEST_RO_1		= "A King-Sized Problem",
	UVSPF_QUEST_RO_2		= "The Anger of a King",
	UVSPF_QUEST_RO_3		= "Blood on a King's Hands",
	UVSPF_QUEST_TG_1		= "Partners in Crime",
	UVSPF_QUEST_TG_2		= "Cleaning House",
	UVSPF_QUEST_TG_3		= "The Long Game",
	UVSPF_QUEST_TG_4		= "A Flawless Plan",
	UVSPF_QUEST_TG_5		= "Forever Hold Your Peace",
	UVSPF_QUEST_TG_6		= "Prison Break",
	UVSPF_QUEST_SE_1		= "The Dragon's Lair",
	UVSPF_QUEST_SE_2		= "Reformation",
	UVSPF_QUEST_SE_3		= "Uneasy Alliances",
	UVSPF_QUEST_SE_4		= "Order of the New Moon",
	UVSPF_QUEST_SE_5		= "The Pride of Alkosh",
	UVSPF_QUEST_SE_6		= "The Dragonguard",
	UVSPF_QUEST_SE_7		= "The Dark Aeon",
	UVSPF_QUEST_SE_8		= "New Moon Rising",
	UVSPF_QUEST_SE_9		= "The Pride of Elsweyr",
	UVSPF_QUEST_SO		= "The Mind Trap",
	UVSPF_QUEST_SU_1		= "Buried Memories",
	UVSPF_QUEST_SU_2		= "Lost in Translation",
	UVSPF_QUEST_SU_3		= "The Crystal Tower",
	UVSPF_QUEST_WS_1		= "Dark Clouds Over Solitude",
	UVSPF_QUEST_WS_2		= "The Vampire Scholar",
	UVSPF_QUEST_WS_3		= "Daughter of the Wolf",
	UVSPF_QUEST_TR_1		= "The Despot of Markarth",
	UVSPF_QUEST_TR_2		= "Blood of the Reach",
	UVSPF_QUEST_TR_3		= "The Study of Souls",
	UVSPF_QUEST_TR_4		= "The Awakening Darkness",
	UVSPF_QUEST_TR_5		= "The Dark Heart",
	UVSPF_QUEST_TR_6		= "A Feast of Souls",
	UVSPF_QUEST_GO		= "Bound in Blood",
	UVSPF_QUEST_BW_1		= "An Unexpected Adversary",
	UVSPF_QUEST_BW_2		= "A Mysterious Event",
	UVSPF_QUEST_BW_3		= "Heroes of Blackwood",
	UVSPF_QUEST_BO		= "The Gates of Adamant",
	""
}

for stringId, stringValue in pairs(strings) do
	ZO_CreateStringId(stringId, stringValue)
	SafeAddVersion(stringId, 1)
end